Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.

Bug 589696

Summary: Update rubygem-rubyforge to latest version
Product: [Fedora] Fedora EPEL Reporter: Michael Stahnke <mastahnke>
Component: rubygem-rubyforgeAssignee: Michael Stahnke <mastahnke>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: low    
Version: el5CC: mtasaka
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: rubygem-rubyforge-2.0.3-1.el5 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2010-05-29 00:19:14 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:
Bug Depends On:    
Bug Blocks: 588364    

Description Michael Stahnke 2010-05-06 17:42:36 UTC
Description of problem:
Right now in EPEL5, we are trying to fix bug 588364 which basically states that to install rubygem-hoe, we need a newer version of rubygem-rubyforge. In looking over the spec files in devel, I think we could move the rubyforge gem without causing an ABI/API compatibility in EPEL5.  Would you agree?

If you would like a co-maintiner in EPEL for this gem, I would be happy to help also. 

The current version in EPEL5 is 
rubygem-rubyforge-1.0.1-1.el5

Desired is 
rubygem(rubyforge) >= 2.0.3

Comment 1 Mamoru TASAKA 2010-05-06 17:50:56 UTC
Basically I don't care for packages in EPEL. So 
- if you apply for commit/watchbugzilla/etc acls for this package on EPEL, 
  I will approve it.
- or if you want to become the maintainer of this package on EPEL, I will
  release my ownership on this package.

How do you think?

Comment 2 Mamoru TASAKA 2010-05-07 11:27:04 UTC
I accepted your commit/approveacls/etc acls on EPEL-5.
Feel free to update this package on EPEL-5.

Comment 3 Fedora Update System 2010-05-07 14:23:47 UTC
rubygem-rubyforge-2.0.3-1.el5 has been submitted as an update for Fedora EPEL 5.
http://admin.fedoraproject.org/updates/rubygem-rubyforge-2.0.3-1.el5

Comment 4 Fedora Update System 2010-05-10 20:16:10 UTC
rubygem-rubyforge-2.0.3-1.el5 has been pushed to the Fedora EPEL 5 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update rubygem-rubyforge'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/rubygem-rubyforge-2.0.3-1.el5

Comment 5 Fedora Update System 2010-05-29 00:19:09 UTC
rubygem-rubyforge-2.0.3-1.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.